function buildURL(url) {
    return "/url" + url;
}

export function generateKey() {
    return new Promise(resolve => {
        Dec.reqGet(buildURL("/sso/generate/key"), "", res => {
            resolve(res);
        });
    });
}

export function getSsoConfig() {
    return new Promise(resolve => {
        Dec.reqGet(buildURL("/sso/login/conf"), "", res => {
            resolve(res);
        });
    });
}

export function decryptTest(text) {
    return new Promise((resolve, reject) => {
        Dec.reqGet(buildURL(`/sso/test/decrypt?ssoToken=${encodeURIComponent(text)}`), "", res => {
            if (BI.get(res.data, ["username"])) {
                resolve(res);
            } else {
                reject(res);
            }
        });
    });
}

export function saveSsoConfig(config) {
    return new Promise((resolve, reject) => {
        Dec.reqPost(buildURL("/sso/login/conf"), config, res => {
            resolve(res);
        });
    });
}
