// Generated using webpack-cli https://github.com/webpack/webpack-cli

const path = require('path');
const TerserJsPlugin = require("terser-webpack-plugin");


const config = {
    output: {
        path: path.resolve(__dirname, "../"),
        filename: '[name].min.js',
    },
    target: ['web', 'es5'],
    entry: {
        sso: "./index.js",
    },
    plugins: [],
    module: {
        rules: [
            {
                test: /\.(js|jsx)$/i,
                use: [
                    {
                        loader: 'babel-loader',
                        options: {
                            configFile: path.resolve(__dirname, "./babel.config.js"),
                        },
                    },
                ],
            },
            // Add your rules for custom modules here
            // Learn more about loaders from https://webpack.js.org/loaders/
        ],
    },
    resolve: {
        fallback: {
            "buffer": false
        }
    },
    optimization: {
        minimizer: [
            new TerserJsPlugin({
                extractComments: false
            }),
        ],
    },
};

console.log(config);

module.exports = () => {

    config.mode = 'production';

    return config;
};
